Bug 1129592 - Volume Option group=virt could not be set on VOLUME
Summary: Volume Option group=virt could not be set on VOLUME
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: General
Version: ---
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: ---
: ---
Assignee: bugs@ovirt.org
QA Contact: Pavel Stehlik
URL:
Whiteboard: gluster
Depends On: 1053854
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 09:50 UTC by Netbulae
Modified: 2016-02-10 18:58 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-10 09:23:37 UTC
oVirt Team: Gluster
ylavi: planning_ack?
ylavi: devel_ack?
ylavi: testing_ack?


Attachments (Terms of Use)

Description Netbulae 2014-08-13 09:50:53 UTC
Description of problem:
When I use the optimize for virt store button, I get the message "Volume Option group=virt could not be set on VOLUME"


2014-Aug-13, 11:40
	
Volume Option storage.owner-gid=36 set on VOLUME.
	
2014-Aug-13, 11:40
	
Volume Option storage.owner-uid=36 set on VOLUME.
	
2014-Aug-13, 11:40
	
Volume Option group=virt could not be set on VOLUME.



There is no group virt present

Comment 1 Netbulae 2014-08-14 09:50:15 UTC
I just read something about this in the following article:

http://blog.gluster.org/2014/05/ovirt-3-4-glusterized/


Create a file named `/var/lib/glusterd/groups/virt' and paste in the lines below. This provides a "virt" group with settings optimized for VM storage. I've left off two quorum-related options present in the original group definition. These quorum settings help prevent split-brain, but will cause VMs hosted on Gluster volumes with the settings applied to pause when one of our two machines goes offline.

quick-read=off
read-ahead=off
io-cache=off
stat-prefetch=off
eager-lock=enable
remote-dio=enable

Next, we'll add our new engine volume to this virt group:

gluster volume set engine group virt


I never createde the virt file and it's not in this directory.

Can it be auto created on setup?

Comment 2 Netbulae 2014-09-05 09:36:04 UTC
Forgot to add these for cluster >2 nodes:

quorum-type=auto
server-quorum-type=server

As per https://github.com/gluster/glusterfs/blob/master/extras/group-virt.example

Comment 3 Sandro Bonazzola 2015-01-21 16:08:14 UTC
oVirt 3.5.1 has been released, re-targeting to 3.6.0 as not marked as urgent / high severity or priority

Comment 4 Red Hat Bugzilla Rules Engine 2015-10-19 10:55:21 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 5 Sandro Bonazzola 2015-10-26 12:43:43 UTC
this is an automated message. oVirt 3.6.0 RC3 has been released and GA is targeted to next week, Nov 4th 2015.
Please review this bug and if not a blocker, please postpone to a later release.
All bugs not postponed on GA release will be automatically re-targeted to

- 3.6.1 if severity >= high
- 4.0 if severity < high

Comment 6 Sandro Bonazzola 2015-11-05 08:21:06 UTC
oVirt 3.6.0 has been released on November 4th, re-targeting to 4.0 since this bug has been marked with severity < high

Comment 7 Red Hat Bugzilla Rules Engine 2015-11-16 14:07:36 UTC
This bug is flagged for 3.6, yet the milestone is for 4.0 version, therefore the milestone has been reset.
Please set the correct milestone or add the flag.

Comment 8 Yaniv Lavi 2015-12-10 08:38:57 UTC
Can you move this to gluster product?

Comment 9 SATHEESARAN 2015-12-10 09:05:58 UTC
(In reply to Netbulae from comment #1)
> I just read something about this in the following article:
> 
> http://blog.gluster.org/2014/05/ovirt-3-4-glusterized/
> 
> 
> Create a file named `/var/lib/glusterd/groups/virt' and paste in the lines
> below. This provides a "virt" group with settings optimized for VM storage.
> I've left off two quorum-related options present in the original group
> definition. These quorum settings help prevent split-brain, but will cause
> VMs hosted on Gluster volumes with the settings applied to pause when one of
> our two machines goes offline.
> 
> quick-read=off
> read-ahead=off
> io-cache=off
> stat-prefetch=off
> eager-lock=enable
> remote-dio=enable
> 
> Next, we'll add our new engine volume to this virt group:
> 
> gluster volume set engine group virt
> 
> 
> I never createde the virt file and it's not in this directory.
> 
> Can it be auto created on setup?

Gluster versions 3.6 & 3.7 has group file available by default now under /var/lib/glusterd/groups/virt.

The issue should have gone now.

We can close this bug

Comment 10 Sahina Bose 2015-12-10 09:23:37 UTC
Closing this bug as per comment 9 - setting of group virt works if used with gluster 3.6 and above.

For previous releases of gluster - the virt group file needs to manually created as /var/lib/glusterd/groups/virt

The contents of the file - https://github.com/gluster/glusterfs/blob/master/extras/group-virt.example


Note You need to log in before you can comment on or make changes to this bug.